Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.TypeNamePairsContext

- org.apache.groovy.parser.antlr4.GroovyParser.TypeNamePairsContext

-     public static class GroovyParser.TypeNamePairsContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TypeNamePairsContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `COMMA()`
    `` | `public TerminalNode` | `COMMA(int i)`
    `` | `public TerminalNode` | `LPAREN()`
    `` | `public TerminalNode` | `RPAREN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends KeyedPairContext>` | `keyedPair()`
    `` | `public GroovyParser.KeyedPairContext` | `keyedPair(int i)`
    `` | `public List<? extends TypeNamePairContext>` | `typeNamePair()`
    `` | `public GroovyParser.TypeNamePairContext` | `typeNamePair(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public TypeNamePairsContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public List<? extends TerminalNode> COMMA()

    - #### public TerminalNode COMMA(int i)

    - #### public TerminalNode LPAREN()

    - #### public TerminalNode RPAREN()

    - #### <Result> public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public int getRuleIndex()

    - #### public List<? extends KeyedPairContext> keyedPair()

    - #### public GroovyParser.KeyedPairContext keyedPair(int i)

    - #### public List<? extends TypeNamePairContext> typeNamePair()

    - #### public GroovyParser.TypeNamePairContext typeNamePair(int i)